Skip to content

Get 'Room'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/rooms/room/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/rooms/room/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

room_idstring, <= 255 charactersrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
namestring or null, <= 255 characters
categoryobject or null(RoomCategory)
apartmentobject or null(Apartment)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: industrial_premises, common_area, brf_apartment, outdoor_section

This field, or at least one of the following fields must be set: industrial_premises, common_area, brf_apartment, outdoor_section

brf_apartmentobject or null(BrfApartment)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: apartment, industrial_premises, common_area, outdoor_section

This field, or at least one of the following fields must be set: apartment, industrial_premises, common_area, outdoor_section

industrial_premisesobject or null(IndustrialPremises)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: apartment, common_area, brf_apartment, outdoor_section

This field, or at least one of the following fields must be set: apartment, common_area, brf_apartment, outdoor_section

common_areaobject or null(CommonArea)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: apartment, industrial_premises, brf_apartment, outdoor_section

This field, or at least one of the following fields must be set: apartment, industrial_premises, brf_apartment, outdoor_section

outdoor_sectionobject or null(OutdoorSection)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: apartment, industrial_premises, common_area, brf_apartment

This field, or at least one of the following fields must be set: apartment, industrial_premises, common_area, brf_apartment

usable_areanumber or null, (float)
bi_areanumber or null, (float)
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "room_id": "string", "category": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "apartment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "brf_apartment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "industrial_premises": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "common_area": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "outdoor_section": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "usable_area": 0.1, "bi_area": 0.1, "tags": null, "customer_columns": null }